/*************************************************************/
/* Copyright (C) 2011 OSS Nokalva, Inc.  All rights reserved.*/
/*************************************************************/

/* THIS FILE IS PROPRIETARY MATERIAL OF OSS NOKALVA, INC.
 * AND MAY BE USED ONLY BY DIRECT LICENSEES OF OSS NOKALVA, INC.
 * THIS FILE MAY NOT BE DISTRIBUTED. */

/* Generated for: Testing Technologies IST GmbH, Berlin, Germany - License 11335 on Linux */
/* Abstract syntax: cam */
/* ASN.1 Java project: org.etsi.its.codec.tool.testingtech.LibItsCam_asn1.Libitscam_asn1 */
/* Created: Fri Apr 15 16:16:01 2011 */
/* ASN.1 Compiler for Java version: 4.0 */
/* ASN.1 compiler options and file names specified:
 * -output org.etsi.its.codec.tool.testingtech.LibItsCam_asn1 -nolistingfile
 * -nomodlistingfile -shortennames -constraints -nouserconstraints -valuerefs
 * -debug -nopedantic -noinformatorymessages -uper -root -keepnames
 * -norelaySafe -noparamtypesuperclass -jiaapi -autoencdec -messageFormat emacs
 * /tmp/TTthree-dte/oss20212gen/LibItsCam_asn1.gen DENM.asn CAM.asn
 */


package org.etsi.its.codec.tool.testingtech.LibItsCam_asn1.cam_pdu_descriptions;

import com.oss.asn1.*;
import com.oss.metadata.*;
import org.etsi.its.codec.tool.testingtech.LibItsCam_asn1.*;

/**
 * Define the ASN1 Type CoopAwareness from ASN1 Module CAM_PDU_Descriptions.
 * @see Sequence
 */

public class CoopAwareness extends Sequence {
    
    /**
     * The default constructor.
     */
    public CoopAwareness()
    {
    }
    
    /**
     * Construct with AbstractData components.
     */
    public CoopAwareness(org.etsi.its.codec.tool.testingtech.LibItsCam_asn1.denm_pdu_descriptions.StationID stationID, 
		    _2 stationCharacteristics, 
		    org.etsi.its.codec.tool.testingtech.LibItsCam_asn1.denm_pdu_descriptions.ReferencePosition referencePosition, 
		    CamParameters camParameters)
    {
	setStationID(stationID);
	setStationCharacteristics(stationCharacteristics);
	setReferencePosition(referencePosition);
	setCamParameters(camParameters);
    }
    
    /**
     * Construct with required components.
     */
    public CoopAwareness(org.etsi.its.codec.tool.testingtech.LibItsCam_asn1.denm_pdu_descriptions.StationID stationID, 
		    _2 stationCharacteristics, 
		    org.etsi.its.codec.tool.testingtech.LibItsCam_asn1.denm_pdu_descriptions.ReferencePosition referencePosition)
    {
	setStationID(stationID);
	setStationCharacteristics(stationCharacteristics);
	setReferencePosition(referencePosition);
    }
    
    public void initComponents()
    {
	mComponents[0] = new org.etsi.its.codec.tool.testingtech.LibItsCam_asn1.denm_pdu_descriptions.StationID();
	mComponents[1] = new _2();
	mComponents[2] = new org.etsi.its.codec.tool.testingtech.LibItsCam_asn1.denm_pdu_descriptions.ReferencePosition();
	mComponents[3] = new CamParameters();
    }
    
    // Instance initializer
    {
	mComponents = new AbstractData[4];
    }
    
    // Method to create a specific component instance
    public AbstractData createInstance(int index)
    {
	switch (index) {
	    case 0:
		return new org.etsi.its.codec.tool.testingtech.LibItsCam_asn1.denm_pdu_descriptions.StationID();
	    case 1:
		return new _2();
	    case 2:
		return new org.etsi.its.codec.tool.testingtech.LibItsCam_asn1.denm_pdu_descriptions.ReferencePosition();
	    case 3:
		return new CamParameters();
	    default:
		throw new InternalError("AbstractCollection.createInstance()");
	}
	
    }
    
    
    // Methods for field "stationID"
    public org.etsi.its.codec.tool.testingtech.LibItsCam_asn1.denm_pdu_descriptions.StationID getStationID()
    {
	return (org.etsi.its.codec.tool.testingtech.LibItsCam_asn1.denm_pdu_descriptions.StationID)mComponents[0];
    }
    
    public void setStationID(org.etsi.its.codec.tool.testingtech.LibItsCam_asn1.denm_pdu_descriptions.StationID stationID)
    {
	mComponents[0] = stationID;
    }
    
    
    // Methods for field "stationCharacteristics"
    public _2 getStationCharacteristics()
    {
	return (_2)mComponents[1];
    }
    
    public void setStationCharacteristics(_2 stationCharacteristics)
    {
	mComponents[1] = stationCharacteristics;
    }
    
    
    
    /**
     * Define the ASN1 Type _2 from ASN1 Module CAM_PDU_Descriptions.
     * @see Sequence
     */
    public static class _2 extends Sequence {
	
	/**
	 * The default constructor.
	 */
	public _2()
	{
	}
	
	/**
	 * Construct with AbstractData components.
	 */
	public _2(BOOLEAN mobileItsStation, BOOLEAN privateItsStation, 
			BOOLEAN physicalRelevantItsStation)
	{
	    setMobileItsStation(mobileItsStation);
	    setPrivateItsStation(privateItsStation);
	    setPhysicalRelevantItsStation(physicalRelevantItsStation);
	}
	
	/**
	 * Construct with components.
	 */
	public _2(boolean mobileItsStation, boolean privateItsStation, 
			boolean physicalRelevantItsStation)
	{
	    this(new BOOLEAN(mobileItsStation), 
		 new BOOLEAN(privateItsStation), 
		 new BOOLEAN(physicalRelevantItsStation));
	}
	
	public void initComponents()
	{
	    mComponents[0] = new BOOLEAN();
	    mComponents[1] = new BOOLEAN();
	    mComponents[2] = new BOOLEAN();
	}
	
	// Instance initializer
	{
	    mComponents = new AbstractData[3];
	}
	
	// Method to create a specific component instance
	public AbstractData createInstance(int index)
	{
	    switch (index) {
		case 0:
		    return new BOOLEAN();
		case 1:
		    return new BOOLEAN();
		case 2:
		    return new BOOLEAN();
		default:
		    throw new InternalError("AbstractCollection.createInstance()");
	    }
	    
	}
	
	
	// Methods for field "mobileItsStation"
	public boolean getMobileItsStation()
	{
	    return ((BOOLEAN)mComponents[0]).booleanValue();
	}
	
	public void setMobileItsStation(boolean mobileItsStation)
	{
	    setMobileItsStation(new BOOLEAN(mobileItsStation));
	}
	
	public void setMobileItsStation(BOOLEAN mobileItsStation)
	{
	    mComponents[0] = mobileItsStation;
	}
	
	
	// Methods for field "privateItsStation"
	public boolean getPrivateItsStation()
	{
	    return ((BOOLEAN)mComponents[1]).booleanValue();
	}
	
	public void setPrivateItsStation(boolean privateItsStation)
	{
	    setPrivateItsStation(new BOOLEAN(privateItsStation));
	}
	
	public void setPrivateItsStation(BOOLEAN privateItsStation)
	{
	    mComponents[1] = privateItsStation;
	}
	
	
	// Methods for field "physicalRelevantItsStation"
	public boolean getPhysicalRelevantItsStation()
	{
	    return ((BOOLEAN)mComponents[2]).booleanValue();
	}
	
	public void setPhysicalRelevantItsStation(boolean physicalRelevantItsStation)
	{
	    setPhysicalRelevantItsStation(new BOOLEAN(physicalRelevantItsStation));
	}
	
	public void setPhysicalRelevantItsStation(BOOLEAN physicalRelevantItsStation)
	{
	    mComponents[2] = physicalRelevantItsStation;
	}
	
	
	/**
	 * Initialize the type descriptor.
	 */
	private static final SequenceInfo c_typeinfo = new SequenceInfo (
	    new Tags (
		new short[] {
		    (short)0x8001
		}
	    ),
	    new QName (
		"org.etsi.its.codec.tool.testingtech.LibItsCam_asn1.cam_pdu_descriptions",
		"CoopAwareness$_2"
	    ),
	    new QName (
		"builtin",
		"SEQUENCE"
	    ),
	    12318,
	    null,
	    new Fields (
		new SequenceFieldInfo[] {
		    new SequenceFieldInfo (
			new TypeInfoRef (
			    new TypeInfo (
				new Tags (
				    new short[] {
					(short)0x8000
				    }
				),
				new QName (
				    "com.oss.asn1",
				    "BOOLEAN"
				),
				new QName (
				    "builtin",
				    "BOOLEAN"
				),
				12314,
				null
			    )
			),
			"mobileItsStation",
			0,
			2,
			null
		    ),
		    new SequenceFieldInfo (
			new TypeInfoRef (
			    new TypeInfo (
				new Tags (
				    new short[] {
					(short)0x8001
				    }
				),
				new QName (
				    "com.oss.asn1",
				    "BOOLEAN"
				),
				new QName (
				    "builtin",
				    "BOOLEAN"
				),
				12314,
				null
			    )
			),
			"privateItsStation",
			1,
			2,
			null
		    ),
		    new SequenceFieldInfo (
			new TypeInfoRef (
			    new TypeInfo (
				new Tags (
				    new short[] {
					(short)0x8002
				    }
				),
				new QName (
				    "com.oss.asn1",
				    "BOOLEAN"
				),
				new QName (
				    "builtin",
				    "BOOLEAN"
				),
				12314,
				null
			    )
			),
			"physicalRelevantItsStation",
			2,
			2,
			null
		    )
		}
	    ),
	    0,
	    new TagDecoders (
		new TagDecoder[] {
		    new TagDecoder (
			new TagDecoderElement[] {
			    new TagDecoderElement((short)0x8000, 0)
			}
		    ),
		    new TagDecoder (
			new TagDecoderElement[] {
			    new TagDecoderElement((short)0x8001, 1)
			}
		    ),
		    new TagDecoder (
			new TagDecoderElement[] {
			    new TagDecoderElement((short)0x8002, 2)
			}
		    )
		}
	    ),
	    0
	);
	
	/**
	 * Get the type descriptor (TypeInfo) of 'this' _2 object.
	 */
	public TypeInfo getTypeInfo()
	{
	    return c_typeinfo;
	}
	
	/**
	 * Get the static type descriptor (TypeInfo) of 'this' _2 object.
	 */
	public static TypeInfo getStaticTypeInfo()
	{
	    return c_typeinfo;
	}
	
    } // End class definition for _2

    // Methods for field "referencePosition"
    public org.etsi.its.codec.tool.testingtech.LibItsCam_asn1.denm_pdu_descriptions.ReferencePosition getReferencePosition()
    {
	return (org.etsi.its.codec.tool.testingtech.LibItsCam_asn1.denm_pdu_descriptions.ReferencePosition)mComponents[2];
    }
    
    public void setReferencePosition(org.etsi.its.codec.tool.testingtech.LibItsCam_asn1.denm_pdu_descriptions.ReferencePosition referencePosition)
    {
	mComponents[2] = referencePosition;
    }
    
    
    // Methods for field "camParameters"
    public CamParameters getCamParameters()
    {
	return (CamParameters)mComponents[3];
    }
    
    public void setCamParameters(CamParameters camParameters)
    {
	mComponents[3] = camParameters;
    }
    
    public boolean hasCamParameters()
    {
	return componentIsPresent(3);
    }
    
    public void deleteCamParameters()
    {
	setComponentAbsent(3);
    }
    
    
    /**
     * Initialize the type descriptor.
     */
    private static final SequenceInfo c_typeinfo = new SequenceInfo (
	new Tags (
	    new short[] {
		0x0010
	    }
	),
	new QName (
	    "org.etsi.its.codec.tool.testingtech.LibItsCam_asn1.cam_pdu_descriptions",
	    "CoopAwareness"
	),
	new QName (
	    "CAM-PDU-Descriptions",
	    "CoopAwareness"
	),
	12318,
	null,
	new Fields (
	    new SequenceFieldInfo[] {
		new SequenceFieldInfo (
		    new TypeInfoRef (
			new IntegerInfo (
			    new Tags (
				new short[] {
				    (short)0x8000
				}
			    ),
			    new QName (
				"org.etsi.its.codec.tool.testingtech.LibItsCam_asn1.denm_pdu_descriptions",
				"StationID"
			    ),
			    new QName (
				"DENM-PDU-Descriptions",
				"StationID"
			    ),
			    12314,
			    new ValueRangeConstraint (
				new AbstractBounds(
				    new org.etsi.its.codec.tool.testingtech.LibItsCam_asn1.denm_pdu_descriptions.StationID(0), 
				    new org.etsi.its.codec.tool.testingtech.LibItsCam_asn1.denm_pdu_descriptions.StationID(4294967295L),
				    0
				)
			    ),
			    new Bounds (
				new java.lang.Long(0),
				new java.lang.Long(4294967295L)
			    ),
			    null
			)
		    ),
		    "stationID",
		    0,
		    2,
		    null
		),
		new SequenceFieldInfo (
		    new TypeInfoRef (
			new QName (
			    "org.etsi.its.codec.tool.testingtech.LibItsCam_asn1.cam_pdu_descriptions",
			    "CoopAwareness$_2"
			)
		    ),
		    "stationCharacteristics",
		    1,
		    2,
		    null
		),
		new SequenceFieldInfo (
		    new TypeInfoRef (
			new SequenceInfo (
			    new Tags (
				new short[] {
				    (short)0x8002
				}
			    ),
			    new QName (
				"org.etsi.its.codec.tool.testingtech.LibItsCam_asn1.denm_pdu_descriptions",
				"ReferencePosition"
			    ),
			    new QName (
				"DENM-PDU-Descriptions",
				"ReferencePosition"
			    ),
			    12314,
			    null,
			    new FieldsRef (
				new QName (
				    "org.etsi.its.codec.tool.testingtech.LibItsCam_asn1.denm_pdu_descriptions",
				    "ReferencePosition"
				)
			    ),
			    0,
			    new TagDecodersRef (
				new QName (
				    "org.etsi.its.codec.tool.testingtech.LibItsCam_asn1.denm_pdu_descriptions",
				    "ReferencePosition"
				)
			    ),
			    0
			)
		    ),
		    "referencePosition",
		    2,
		    2,
		    null
		),
		new SequenceFieldInfo (
		    new TypeInfoRef (
			new SequenceInfo (
			    new Tags (
				new short[] {
				    (short)0x8003
				}
			    ),
			    new QName (
				"org.etsi.its.codec.tool.testingtech.LibItsCam_asn1.cam_pdu_descriptions",
				"CamParameters"
			    ),
			    new QName (
				"CAM-PDU-Descriptions",
				"CamParameters"
			    ),
			    12318,
			    null,
			    new FieldsRef (
				new QName (
				    "org.etsi.its.codec.tool.testingtech.LibItsCam_asn1.cam_pdu_descriptions",
				    "CamParameters"
				)
			    ),
			    0,
			    new TagDecodersRef (
				new QName (
				    "org.etsi.its.codec.tool.testingtech.LibItsCam_asn1.cam_pdu_descriptions",
				    "CamParameters"
				)
			    ),
			    0
			)
		    ),
		    "camParameters",
		    3,
		    3,
		    null
		)
	    }
	),
	0,
	new TagDecoders (
	    new TagDecoder[] {
		new TagDecoder (
		    new TagDecoderElement[] {
			new TagDecoderElement((short)0x8000, 0)
		    }
		),
		new TagDecoder (
		    new TagDecoderElement[] {
			new TagDecoderElement((short)0x8001, 1)
		    }
		),
		new TagDecoder (
		    new TagDecoderElement[] {
			new TagDecoderElement((short)0x8002, 2)
		    }
		),
		new TagDecoder (
		    new TagDecoderElement[] {
			new TagDecoderElement((short)0x8003, 3)
		    }
		)
	    }
	),
	0
    );
    
    /**
     * Get the type descriptor (TypeInfo) of 'this' CoopAwareness object.
     */
    public TypeInfo getTypeInfo()
    {
	return c_typeinfo;
    }
    
    /**
     * Get the static type descriptor (TypeInfo) of 'this' CoopAwareness object.
     */
    public static TypeInfo getStaticTypeInfo()
    {
	return c_typeinfo;
    }
    
} // End class definition for CoopAwareness
