/*************************************************************/
/* Copyright (C) 2011 OSS Nokalva, Inc.  All rights reserved.*/
/*************************************************************/

/* THIS FILE IS PROPRIETARY MATERIAL OF OSS NOKALVA, INC.
 * AND MAY BE USED ONLY BY DIRECT LICENSEES OF OSS NOKALVA, INC.
 * THIS FILE MAY NOT BE DISTRIBUTED. */

/* Generated for: Testing Technologies IST GmbH, Berlin, Germany - License 11335 on Linux */
/* Abstract syntax: denm-pdu-descriptions */
/* ASN.1 Java project: org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.Libitsdenm_asn1 */
/* Created: Tue Jun 28 12:09:14 2011 */
/* ASN.1 Compiler for Java version: 4.0 */
/* ASN.1 compiler options and file names specified:
 * -output org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1 -nolistingfile
 * -nomodlistingfile -shortennames -constraints -nouserconstraints -valuerefs
 * -debug -nopedantic -noinformatorymessages -per -uper -root -keepnames
 * -norelaySafe -noparamtypesuperclass -jiaapi -autoencdec -messageFormat emacs
 * /tmp/TTthree-apache/oss6535gen/LibItsDenm_asn1.gen DENM-PDU-Descriptions.asn
 */


package org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.denm_pdu_descriptions;

import com.oss.asn1.*;
import com.oss.metadata.*;
import com.oss.jiaapi.*;

public class JIADENM_PDU_Descriptions {

    public static JIA_Module jia_module = new JIA_Module(
	"DENM-PDU-Descriptions",
	JIA_Module.MODE_TAGGING_AUTOMATIC,
	false,
	new JIA_DefinedTypes(
	    new JIA_DefinedType[] {
		new JIA_DefinedType("TimeStamp", "org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.denm_pdu_descriptions.TimeStamp"),
		new JIA_DefinedType("ItsPduHeader", "org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.denm_pdu_descriptions.ItsPduHeader"),
		new JIA_DefinedType("StationID", "org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.denm_pdu_descriptions.StationID"),
		new JIA_DefinedType("SequenceNo", "org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.denm_pdu_descriptions.SequenceNo"),
		new JIA_DefinedType("ActionID", "org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.denm_pdu_descriptions.ActionID"),
		new JIA_DefinedType("DataVersion", "org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.denm_pdu_descriptions.DataVersion"),
		new JIA_DefinedType("DecentralizedSituationManagement", "org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.denm_pdu_descriptions.DecentralizedSituationManagement"),
		new JIA_DefinedType("TrafficFlowEffect", "org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.denm_pdu_descriptions.TrafficFlowEffect"),
		new JIA_DefinedType("CauseCode", "org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.denm_pdu_descriptions.CauseCode"),
		new JIA_DefinedType("SubCauseCode", "org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.denm_pdu_descriptions.SubCauseCode"),
		new JIA_DefinedType("Situation", "org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.denm_pdu_descriptions.Situation"),
		new JIA_DefinedType("Severity", "org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.denm_pdu_descriptions.Severity"),
		new JIA_DefinedType("VehicleType", "org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.denm_pdu_descriptions.VehicleType"),
		new JIA_DefinedType("Dimension", "org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.denm_pdu_descriptions.Dimension"),
		new JIA_DefinedType("StationLength", "org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.denm_pdu_descriptions.StationLength"),
		new JIA_DefinedType("Confidence", "org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.denm_pdu_descriptions.Confidence"),
		new JIA_DefinedType("StationWidth", "org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.denm_pdu_descriptions.StationWidth"),
		new JIA_DefinedType("Speed", "org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.denm_pdu_descriptions.Speed"),
		new JIA_DefinedType("VehicleSpeed", "org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.denm_pdu_descriptions.VehicleSpeed"),
		new JIA_DefinedType("LongAcceleration", "org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.denm_pdu_descriptions.LongAcceleration"),
		new JIA_DefinedType("AccelerationControl", "org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.denm_pdu_descriptions.AccelerationControl"),
		new JIA_DefinedType("YawRate", "org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.denm_pdu_descriptions.YawRate"),
		new JIA_DefinedType("ExteriorLights", "org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.denm_pdu_descriptions.ExteriorLights"),
		new JIA_DefinedType("TurnDirection", "org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.denm_pdu_descriptions.TurnDirection"),
		new JIA_DefinedType("Distance", "org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.denm_pdu_descriptions.Distance"),
		new JIA_DefinedType("TurnAdvice", "org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.denm_pdu_descriptions.TurnAdvice"),
		new JIA_DefinedType("DistanceToStopLine", "org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.denm_pdu_descriptions.DistanceToStopLine"),
		new JIA_DefinedType("Occupancy", "org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.denm_pdu_descriptions.Occupancy"),
		new JIA_DefinedType("DoorOpen", "org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.denm_pdu_descriptions.DoorOpen"),
		new JIA_DefinedType("Direction", "org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.denm_pdu_descriptions.Direction"),
		new JIA_DefinedType("PosConfidenceEllipse", "org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.denm_pdu_descriptions.PosConfidenceEllipse"),
		new JIA_DefinedType("Curvature", "org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.denm_pdu_descriptions.Curvature"),
		new JIA_DefinedType("CurvatureChange", "org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.denm_pdu_descriptions.CurvatureChange"),
		new JIA_DefinedType("CrashStatus", "org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.denm_pdu_descriptions.CrashStatus"),
		new JIA_DefinedType("DangerousGoods", "org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.denm_pdu_descriptions.DangerousGoods"),
		new JIA_DefinedType("VehicleCommonParameters", "org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.denm_pdu_descriptions.VehicleCommonParameters"),
		new JIA_DefinedType("BasicVehicle", "org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.denm_pdu_descriptions.BasicVehicle"),
		new JIA_DefinedType("LightBarInUse", "org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.denm_pdu_descriptions.LightBarInUse"),
		new JIA_DefinedType("SireneInUse", "org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.denm_pdu_descriptions.SireneInUse"),
		new JIA_DefinedType("EmergencyResponseType", "org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.denm_pdu_descriptions.EmergencyResponseType"),
		new JIA_DefinedType("EmergencyVehicle", "org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.denm_pdu_descriptions.EmergencyVehicle"),
		new JIA_DefinedType("PublicVehicleType", "org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.denm_pdu_descriptions.PublicVehicleType"),
		new JIA_DefinedType("CourseOfJourney", "org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.denm_pdu_descriptions.CourseOfJourney"),
		new JIA_DefinedType("LineRef", "org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.denm_pdu_descriptions.LineRef"),
		new JIA_DefinedType("RouteRef", "org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.denm_pdu_descriptions.RouteRef"),
		new JIA_DefinedType("PTLineDescription", "org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.denm_pdu_descriptions.PTLineDescription"),
		new JIA_DefinedType("ScheduleDeviation", "org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.denm_pdu_descriptions.ScheduleDeviation"),
		new JIA_DefinedType("Priority", "org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.denm_pdu_descriptions.Priority"),
		new JIA_DefinedType("TrafficLightPriority", "org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.denm_pdu_descriptions.TrafficLightPriority"),
		new JIA_DefinedType("PublicTransportVehicle", "org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.denm_pdu_descriptions.PublicTransportVehicle"),
		new JIA_DefinedType("ProfileParameters", "org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.denm_pdu_descriptions.ProfileParameters"),
		new JIA_DefinedType("DecentralizedSituation", "org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.denm_pdu_descriptions.DecentralizedSituation"),
		new JIA_DefinedType("Longitude", "org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.denm_pdu_descriptions.Longitude"),
		new JIA_DefinedType("Latitude", "org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.denm_pdu_descriptions.Latitude"),
		new JIA_DefinedType("Elevation", "org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.denm_pdu_descriptions.Elevation"),
		new JIA_DefinedType("StreetName", "org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.denm_pdu_descriptions.StreetName"),
		new JIA_DefinedType("RoadSegmentID", "org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.denm_pdu_descriptions.RoadSegmentID"),
		new JIA_DefinedType("ReferencePosition", "org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.denm_pdu_descriptions.ReferencePosition"),
		new JIA_DefinedType("EventPosition", "org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.denm_pdu_descriptions.EventPosition"),
		new JIA_DefinedType("TraceLocData", "org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.denm_pdu_descriptions.TraceLocData"),
		new JIA_DefinedType("Circle", "org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.denm_pdu_descriptions.Circle"),
		new JIA_DefinedType("Rectangle", "org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.denm_pdu_descriptions.Rectangle"),
		new JIA_DefinedType("Ellipse", "org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.denm_pdu_descriptions.Ellipse"),
		new JIA_DefinedType("DirectionalityFilter", "org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.denm_pdu_descriptions.DirectionalityFilter"),
		new JIA_DefinedType("RelativeSize", "org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.denm_pdu_descriptions.RelativeSize"),
		new JIA_DefinedType("RelevanceArea", "org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.denm_pdu_descriptions.RelevanceArea"),
		new JIA_DefinedType("DecentralizedSituationLocation", "org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.denm_pdu_descriptions.DecentralizedSituationLocation"),
		new JIA_DefinedType("DecentralizedEnvironmentalNotificationMessage", "org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.denm_pdu_descriptions.DecentralizedEnvironmentalNotificationMessage"),
		new JIA_DefinedType("DenmPdu", "org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.denm_pdu_descriptions.DenmPdu"),
		new JIA_DefinedType("Waypoint", "org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.denm_pdu_descriptions.Waypoint"),
		new JIA_DefinedType("Temperature", "org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.denm_pdu_descriptions.Temperature"),
		new JIA_DefinedType("AmbientAirTemperature", "org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.denm_pdu_descriptions.AmbientAirTemperature"),
		new JIA_DefinedType("DataReference", "org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.denm_pdu_descriptions.DataReference"),
		new JIA_DefinedType("SimpleSystemState", "org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.denm_pdu_descriptions.SimpleSystemState"),
		new JIA_DefinedType("WiperSystemFront", "org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.denm_pdu_descriptions.WiperSystemFront")
	    }
	),
	new JIA_ValueReferences(
	    new JIA_ValueReference[] {
	    }
	),
	new ObjectIdentifier(
	    new byte[] { 
                (byte)0x04, (byte)0x00, (byte)0x05, (byte)0x01, (byte)0x86, 
                (byte)0xA1, (byte)0x6D, (byte)0x03, (byte)0x02
            }
	)
    );
}
