/*************************************************************/
/* Copyright (C) 2011 OSS Nokalva, Inc.  All rights reserved.*/
/*************************************************************/

/* THIS FILE IS PROPRIETARY MATERIAL OF OSS NOKALVA, INC.
 * AND MAY BE USED ONLY BY DIRECT LICENSEES OF OSS NOKALVA, INC.
 * THIS FILE MAY NOT BE DISTRIBUTED. */

/* Generated for: Testing Technologies IST GmbH, Berlin, Germany - License 11335 on Linux */
/* Abstract syntax: cam */
/* ASN.1 Java project: org.etsi.its.codec.tool.testingtech.LibItsCam_asn1.Libitscam_asn1 */
/* Created: Fri Apr 15 16:16:01 2011 */
/* ASN.1 Compiler for Java version: 4.0 */
/* ASN.1 compiler options and file names specified:
 * -output org.etsi.its.codec.tool.testingtech.LibItsCam_asn1 -nolistingfile
 * -nomodlistingfile -shortennames -constraints -nouserconstraints -valuerefs
 * -debug -nopedantic -noinformatorymessages -uper -root -keepnames
 * -norelaySafe -noparamtypesuperclass -jiaapi -autoencdec -messageFormat emacs
 * /tmp/TTthree-dte/oss20212gen/LibItsCam_asn1.gen DENM.asn CAM.asn
 */


package org.etsi.its.codec.tool.testingtech.LibItsCam_asn1.denm_pdu_descriptions;

import com.oss.asn1.*;
import com.oss.metadata.*;
import org.etsi.its.codec.tool.testingtech.LibItsCam_asn1.*;

/**
 * Define the ASN1 Type DecentralizedEnvironmentalNotificationMessage from ASN1 Module DENM_PDU_Descriptions.
 * @see Sequence
 */

public class DecentralizedEnvironmentalNotificationMessage extends Sequence {
    
    /**
     * The default constructor.
     */
    public DecentralizedEnvironmentalNotificationMessage()
    {
    }
    
    /**
     * Construct with AbstractData components.
     */
    public DecentralizedEnvironmentalNotificationMessage(DecentralizedSituationManagement management, 
		    DecentralizedSituation situation, 
		    DecentralizedSituationLocation location)
    {
	setManagement(management);
	setSituation(situation);
	setLocation(location);
    }
    
    public void initComponents()
    {
	mComponents[0] = new DecentralizedSituationManagement();
	mComponents[1] = new DecentralizedSituation();
	mComponents[2] = new DecentralizedSituationLocation();
    }
    
    // Instance initializer
    {
	mComponents = new AbstractData[3];
    }
    
    // Method to create a specific component instance
    public AbstractData createInstance(int index)
    {
	switch (index) {
	    case 0:
		return new DecentralizedSituationManagement();
	    case 1:
		return new DecentralizedSituation();
	    case 2:
		return new DecentralizedSituationLocation();
	    default:
		throw new InternalError("AbstractCollection.createInstance()");
	}
	
    }
    
    
    // Methods for field "management"
    public DecentralizedSituationManagement getManagement()
    {
	return (DecentralizedSituationManagement)mComponents[0];
    }
    
    public void setManagement(DecentralizedSituationManagement management)
    {
	mComponents[0] = management;
    }
    
    
    // Methods for field "situation"
    public DecentralizedSituation getSituation()
    {
	return (DecentralizedSituation)mComponents[1];
    }
    
    public void setSituation(DecentralizedSituation situation)
    {
	mComponents[1] = situation;
    }
    
    
    // Methods for field "location"
    public DecentralizedSituationLocation getLocation()
    {
	return (DecentralizedSituationLocation)mComponents[2];
    }
    
    public void setLocation(DecentralizedSituationLocation location)
    {
	mComponents[2] = location;
    }
    
    
    /**
     * Initialize the type descriptor.
     */
    private static final SequenceInfo c_typeinfo = new SequenceInfo (
	new Tags (
	    new short[] {
		0x0010
	    }
	),
	new QName (
	    "org.etsi.its.codec.tool.testingtech.LibItsCam_asn1.denm_pdu_descriptions",
	    "DecentralizedEnvironmentalNotificationMessage"
	),
	new QName (
	    "DENM-PDU-Descriptions",
	    "DecentralizedEnvironmentalNotificationMessage"
	),
	12318,
	null,
	new Fields (
	    new SequenceFieldInfo[] {
		new SequenceFieldInfo (
		    new TypeInfoRef (
			new SequenceInfo (
			    new Tags (
				new short[] {
				    (short)0x8000
				}
			    ),
			    new QName (
				"org.etsi.its.codec.tool.testingtech.LibItsCam_asn1.denm_pdu_descriptions",
				"DecentralizedSituationManagement"
			    ),
			    new QName (
				"DENM-PDU-Descriptions",
				"DecentralizedSituationManagement"
			    ),
			    12314,
			    null,
			    new FieldsRef (
				new QName (
				    "org.etsi.its.codec.tool.testingtech.LibItsCam_asn1.denm_pdu_descriptions",
				    "DecentralizedSituationManagement"
				)
			    ),
			    0,
			    new TagDecodersRef (
				new QName (
				    "org.etsi.its.codec.tool.testingtech.LibItsCam_asn1.denm_pdu_descriptions",
				    "DecentralizedSituationManagement"
				)
			    ),
			    0
			)
		    ),
		    "management",
		    0,
		    2,
		    null
		),
		new SequenceFieldInfo (
		    new TypeInfoRef (
			new SequenceInfo (
			    new Tags (
				new short[] {
				    (short)0x8001
				}
			    ),
			    new QName (
				"org.etsi.its.codec.tool.testingtech.LibItsCam_asn1.denm_pdu_descriptions",
				"DecentralizedSituation"
			    ),
			    new QName (
				"DENM-PDU-Descriptions",
				"DecentralizedSituation"
			    ),
			    12314,
			    null,
			    new FieldsRef (
				new QName (
				    "org.etsi.its.codec.tool.testingtech.LibItsCam_asn1.denm_pdu_descriptions",
				    "DecentralizedSituation"
				)
			    ),
			    0,
			    new TagDecodersRef (
				new QName (
				    "org.etsi.its.codec.tool.testingtech.LibItsCam_asn1.denm_pdu_descriptions",
				    "DecentralizedSituation"
				)
			    ),
			    0
			)
		    ),
		    "situation",
		    1,
		    2,
		    null
		),
		new SequenceFieldInfo (
		    new TypeInfoRef (
			new SequenceInfo (
			    new Tags (
				new short[] {
				    (short)0x8002
				}
			    ),
			    new QName (
				"org.etsi.its.codec.tool.testingtech.LibItsCam_asn1.denm_pdu_descriptions",
				"DecentralizedSituationLocation"
			    ),
			    new QName (
				"DENM-PDU-Descriptions",
				"DecentralizedSituationLocation"
			    ),
			    12318,
			    null,
			    new FieldsRef (
				new QName (
				    "org.etsi.its.codec.tool.testingtech.LibItsCam_asn1.denm_pdu_descriptions",
				    "DecentralizedSituationLocation"
				)
			    ),
			    0,
			    new TagDecodersRef (
				new QName (
				    "org.etsi.its.codec.tool.testingtech.LibItsCam_asn1.denm_pdu_descriptions",
				    "DecentralizedSituationLocation"
				)
			    ),
			    0
			)
		    ),
		    "location",
		    2,
		    2,
		    null
		)
	    }
	),
	0,
	new TagDecoders (
	    new TagDecoder[] {
		new TagDecoder (
		    new TagDecoderElement[] {
			new TagDecoderElement((short)0x8000, 0)
		    }
		),
		new TagDecoder (
		    new TagDecoderElement[] {
			new TagDecoderElement((short)0x8001, 1)
		    }
		),
		new TagDecoder (
		    new TagDecoderElement[] {
			new TagDecoderElement((short)0x8002, 2)
		    }
		)
	    }
	),
	0
    );
    
    /**
     * Get the type descriptor (TypeInfo) of 'this' DecentralizedEnvironmentalNotificationMessage object.
     */
    public TypeInfo getTypeInfo()
    {
	return c_typeinfo;
    }
    
    /**
     * Get the static type descriptor (TypeInfo) of 'this' DecentralizedEnvironmentalNotificationMessage object.
     */
    public static TypeInfo getStaticTypeInfo()
    {
	return c_typeinfo;
    }
    
} // End class definition for DecentralizedEnvironmentalNotificationMessage
